QMoveEvent(3qt)

NAME
QMoveEvent - Event parameters for move events

SYNOPSIS
#include <ntqevent.h>

Inherits QEvent.

  Public Members
QMoveEvent ( const QPoint & pos, const QPoint & oldPos )
const QPoint & pos () const
const QPoint & oldPos () const

DESCRIPTION
The QMoveEvent class contains event parameters for move events.

Move events are sent to widgets that have been moved to a new position relative to their parent.

The event handler TQWidget::moveEvent() receives move events.

See also TQWidget::pos, TQWidget::geometry, and Event Classes.

MEMBER FUNCTION DOCUMENTATION

QMoveEvent::QMoveEvent ( const QPoint & pos, const QPoint & oldPos )
Constructs a move event with the new and old widget positions, pos and oldPos respectively.

const QPoint & QMoveEvent::oldPos () const
Returns the old position of the widget.

const QPoint & QMoveEvent::pos () const
Returns the new position of the widget. This excludes the window frame for top level widgets.

SEE ALSO
http://doc.trolltech.com/qmoveevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqmoveevent.3qt) and the Qt version (3.3.8).